
// CadConvertAppDlg.h : header file
//

#pragma once


// CCadConvertAppDlg dialog
class CCadConvertAppDlg : public CDialogEx
{
  // Construction
public:
  CCadConvertAppDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
  enum { IDD = IDD_CADCONVERTAPP_DIALOG };
#endif

protected:
  virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
  void EnableDisableControls(void);
  void AddMessage(const wchar_t *pMessage);
  static bool ProcessingCallback(double percentComplete, const wchar_t* pMessage, void* pData);
  void UpdateProgress(double percentComplete);

// Implementation
protected:
  HICON m_hIcon;
  CString _inputFilename;
  CString _outputFilename;
  CEdit _messagesEdit;
  bool _showOutput;
  static const int ProgressControlRange = 1000;

  // Generated message map functions
  virtual BOOL OnInitDialog();
  afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  DECLARE_MESSAGE_MAP()
public:
  afx_msg void OnBnClickedBrowseInput();
  afx_msg void OnBnClickedBrowseOutput();
  afx_msg void OnClickedConvert();
  afx_msg void OnEnChangeInputFilename();
  afx_msg void OnEnChangeOutputFilename();
};
